aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-natsort/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2014-08-21 20:15:33 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2014-08-23 10:29:05 +0000
commit97bca2bd3833476f9debf84f777977725e7ed75a (patch)
tree27ef59db2ffc3ccf7d983e1725ca479cf1261938 /testing/py-natsort/APKBUILD
parent02fc46c31b07dc94e2ac708bbacd1f92c168ce7d (diff)
downloadaports-97bca2bd3833476f9debf84f777977725e7ed75a.tar.gz
aports-97bca2bd3833476f9debf84f777977725e7ed75a.tar.bz2
aports-97bca2bd3833476f9debf84f777977725e7ed75a.tar.xz
testing/py-natsort: new aport
A python module for natural sorting https://github.com/SethMMorton/natsort
Diffstat (limited to 'testing/py-natsort/APKBUILD')
-rw-r--r--testing/py-natsort/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-natsort/APKBUILD b/testing/py-natsort/APKBUILD
new file mode 100644
index 0000000000..4730ad3e4f
--- /dev/null
+++ b/testing/py-natsort/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-natsort
+_pkgname=natsort
+pkgver=3.4.1
+pkgrel=0
+pkgdesc="A module for natural sorting"
+url="https://github.com/SethMMorton/natsort"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="ee001366c90a1d814797150f5983f158 natsort-3.4.1.tar.gz"
+sha256sums="318b8673604e407009123c9da77372399b5032486c35ccaa8b2d1bd095c57501 natsort-3.4.1.tar.gz"
+sha512sums="b7b5f3acf7f26dfdb616ba27d11ed19b26c9b19087784e2470a5f8fb21f664bb28fc4dad409743322e86eb7a1f2c5f6180e01199568e1c728f40dd397dbb52d0 natsort-3.4.1.tar.gz"